<script setup lang="ts">
import {defineComponent, PropType} from "vue";
import {PatientStatisticVO, RoomBedVO} from "@/api/ecg/doctor";

defineComponent({
  name: 'TitlePanel'
})

const  props = defineProps({
  room: {
    type: Object as PropType<RoomBedVO>,
    required: true
  },
  patientStatistic: {
    type: Object as PropType<PatientStatisticVO>,
    required: true
  }
})

onMounted(() => {
  console.info(props.room)
})

</script>

<template>
<div class="mytitle">
    <div>
      {{room.roomName || ''}} {{room.bedNo || ''}}
    </div>
    <div>
      已装机{{patientStatistic.finishedNum??0}}
      待装机{{patientStatistic.receivedNum??0}}
    </div>
</div>

</template>

<style scoped lang="scss">
.mytitle {
  display: flex;
  justify-content: space-between;
}
</style>
